package org.usfirst.frc.team1403.robot.subsystems;

import edu.wpi.first.wpilibj.RobotState;
import edu.wpi.first.wpilibj.command.Subsystem;

import org.usfirst.frc.team1403.robot.Robot;
import org.usfirst.frc.team1403.robot.commands.JoyDrive;

import com.ctre.phoenix.motorcontrol.ControlMode;
import com.ctre.phoenix.motorcontrol.can.TalonSRX;

/**
 *
 */
public class DriveTrain extends Subsystem {

	// Put methods for controlling this subsystem
    // here. Call these from Commands.
	public double getRawAxisLeft;
	public double getRawAxisRight;
	public static TalonSRX m6, m2;
	
	public DriveTrain()
	{
		DriveTrain.m6 = new TalonSRX(6);
		DriveTrain.m2 = new TalonSRX(2);
		getRawAxisLeft = 0;
		getRawAxisRight = 0;
		System.out.println("DriveTrain Constructor is Called");
	}
    public void initDefaultCommand() {
        // Set the default command for a subsystem here.
        setDefaultCommand(new JoyDrive()); 
    }
    public void drive()
    {
    	if(!RobotState.isAutonomous()) {
    		getRawAxisLeft = Robot.m_oi.stick.getRawAxis(1);
        	getRawAxisRight = -Robot.m_oi.stick.getRawAxis(5);
    		DriveTrain.m6.set(ControlMode.PercentOutput, getRawAxisLeft);
    		DriveTrain.m2.set(ControlMode.PercentOutput, getRawAxisRight); //If you want equal make it .69* the joy value
    	}
    	
    }
    public static void setSpeed(TalonSRX talon, double speed) {
    	talon.set(ControlMode.PercentOutput, speed);
    }
    
}